# RCSid:
#	$Id: Makefile.inc,v 1.15 2009/12/14 18:09:53 sjg Exp $
#
#	@(#) Copyright (c) 1994 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

.ifndef _lib_inc_
_lib_inc_=yes

CFLAGS+= -I.

# pick up defaults above
.include "../Makefile.inc"

# now add overrides
.if exists(${.CURDIR}/.noman) || exists(.noman)
MKMAN=no
.endif
.if exists(${.CURDIR}/.noarchive) || exists(.noarchive)
MKARCHIVE=no
.endif
.if exists(${.CURDIR}/.noprof) || exists(.noprof)
MKPROFILE=no
.endif
.if !exists(${.CURDIR}/shlib_version) || exists(${.CURDIR}/.nopic) || exists(.nopic)
MKPIC=no
.endif
.endif
